/*
SQLyog Ultimate v12.5.1 (64 bit)
MySQL - 5.5.60 : Database - medsalda
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `xf5` */

DROP TABLE IF EXISTS `xf5`;

CREATE TABLE `xf5` (
  `xf5` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ns` varchar(6) NOT NULL DEFAULT '',
  `name` varchar(50) NOT NULL DEFAULT '',
  `kol` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`xf5`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=cp1251;

/*Data for the table `xf5` */

insert  into `xf5`(`xf5`,`ns`,`name`,`kol`) values 
(1,'01','Вакцинация против коклюша',0),
(2,'02','Ревакцинация против коклюша',0),
(3,'03','Вакцинация против дифтерии - всего',10),
(4,'04','    из них детей',0),
(5,'05','Ревакцинация против дифтерии - всего',134),
(6,'06','    из них детей',0),
(7,'07','Вакцинация против столбняка - всего',10),
(8,'08','    из них детей',0),
(9,'09','Ревакцинация против столбняка - всего',138),
(10,'10','    из них детей',0),
(11,'11','Вакцинация против полиомиелита',0),
(12,'12','Ревакцинация против полиомиелита',0),
(13,'13','Вакцинация против кори - всего',1),
(14,'14','    из них детей',0),
(15,'15','Ревакцинация против кори - всего',0),
(16,'16','    из них детей',0),
(17,'17','Вакцинация против эпидемического паротита',0),
(18,'18','Ревакцинация против эпидемического паротита',0),
(19,'19','Вакцинация против краснухи',0),
(20,'21','Ревакцинация против краснухи',0),
(21,'23','Прививки против брюшного тифа',0),
(22,'24','Прививки против туберкулеза - всего',0),
(23,'25','    из них новорожденным',0),
(24,'26','Вакцинация против вирусного гепатита В - всего',3),
(25,'27','    из них детей',0),
(26,'28','Прививки против вирусного гепатита А - всего',0),
(27,'29','    из них детей',0),
(28,'30','Вакцинация против туляремии',0),
(29,'32','Ревакцинация против туляремии',0),
(30,'34','Вакцинация против бруцеллеза',0),
(31,'35','Ревакцинация против бруцеллеза',0),
(32,'36','Вакцинация против сибирской язвы',0),
(33,'37','Ревакцинация против сибирской язвы',0),
(34,'38','Прививки против чумы',0),
(35,'39','Прививки против желтой лихорадки',0),
(36,'40','Прививки против гриппа - всего',294),
(37,'41','    из них детей',0),
(38,'42','Вакцинация против клещевого энцефалита',286),
(39,'44','Ревакцинация против клещевого энцефалита',396),
(40,'46','Прививки против лептоспироза',0),
(41,'47','Прививки против менингококкововой инфекции',0),
(42,'58','Вакцинация против бешенства',0),
(43,'59','Ревакцинация против бешенства',0),
(44,'60','Прививки против лихорадки Ку',0),
(45,'43','    из них детей',0),
(46,'45','    из них детей',0),
(47,'49','Вакцинация против гемофильной инфекции',0),
(48,'51','Прививки против ветряной оспы',0),
(49,'53','Вакцинация против пневмококковой инфекции - всего',6),
(50,'54','    из них детей',0),
(51,'55','Ревакцинация против пневмококковой инфекции-всего',0),
(52,'56','    из них детей',0),
(53,'57','Прививки против вируса папилломы человека',0),
(54,'61','Прививки против дизентерии Зонне',195),
(55,'20','    из них детей',0),
(56,'22','    из них детей',0),
(57,'48','    из них детей',0),
(58,'50','Ревакцинация против гемофильной инфекции',0),
(59,'62','Вакцинация против ротавирусной инфекции',0),
(60,'31','    из них детей',0),
(61,'33','    из них детей',0),
(62,'52','    из них детей',0),
(63,'63','Прививки против Covid 19',1);

/* Procedure structure for procedure `pri_f5` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_f5` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_f5`(IN _st DATE,IN _en DATE,IN _tek DATE,IN _u TINYINT,IN _inext TINYINT,IN _epid TINYINT,IN _wo INT,IN _wogr TINYINT)
BEGIN
	TRUNCATE TABLE zzf5;
	UPDATE xf5 SET kol=0;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,1 FROM xpri x1,adrbook a1  LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130
	AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	and (_wogr=0 or (_wogr>0 and w1.uch=_wogr)) and (_wo=0 or (_wo>0 and w1.works_id=_wo))
	and (_epid<2 or (_epid=2 and pl<2) or (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=1) WHERE xf5=1;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,2 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=210
	AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=2) WHERE xf5=2;
 	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,3 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=3) WHERE xf5=3;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,4 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=4) WHERE xf5=4;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,5 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)<=dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY a1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=5) WHERE xf5=5;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,6 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)  
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY a1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=6) WHERE xf5=6;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,7 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr<=130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=7) WHERE xf5=7;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,8 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr<=130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr=120)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=8) WHERE xf5=8;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,9 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr>130) OR 
	(dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=9) WHERE xf5=9;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,10 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=2 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=12 AND kod_vpr>130) OR 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=3 AND kod_vpr>130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=10) WHERE xf5=10;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,11 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=4 AND kod_vpr=130)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=11) WHERE xf5=11;
 
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,12 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=4 AND kod_vpr BETWEEN 210 AND 230)
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=12) WHERE xf5=12;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,13 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=13) WHERE xf5=13;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,14 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=14) WHERE xf5=14;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,15 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr BETWEEN 200 AND 201) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=15) WHERE xf5=15;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,16 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=5 AND kod_vpr BETWEEN 200 AND 201) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=16) WHERE xf5=16;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,17 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=6 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=17) WHERE xf5=17;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,18 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=6 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=18) WHERE xf5=18;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,19 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=7 AND (kod_vpr=100 or kod_vpr=210)) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=19) WHERE xf5=19;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,55 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=7 AND (kod_vpr=100 OR kod_vpr=210)) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=55) WHERE xf5=55;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,20 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=7 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=20) WHERE xf5=20;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,56 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=7 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=56) WHERE xf5=56;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,21 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=15) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=21) WHERE xf5=21;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,22 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=1) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=22) WHERE xf5=22;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,23 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 1 MONTH)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=1 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=23) WHERE xf5=23;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,24 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=18 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=24) WHERE xf5=24;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,25 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=18 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=25) WHERE xf5=25;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,26 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=17 AND kod_vpr=120) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=26) WHERE xf5=26;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,27 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=17 AND kod_vpr=120) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=27) WHERE xf5=27;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,28 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=28) WHERE xf5=28;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,60 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=60) WHERE xf5=60;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,29 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=29) WHERE xf5=29;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,61 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=26 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=61) WHERE xf5=61;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,30 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=8 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=30) WHERE xf5=30;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,31 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=8 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=31) WHERE xf5=31;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,32 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=32 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=32) WHERE xf5=32;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,33 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=32 AND kod_vpr=200) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=33) WHERE xf5=33;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,34 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=35) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=34) WHERE xf5=34;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,35 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=33) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=35) WHERE xf5=35;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,36 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=14) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=36) WHERE xf5=36;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,37 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=14) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=37) WHERE xf5=37;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,38 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr<=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=38) WHERE xf5=38;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,45 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr<=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=45) WHERE xf5=45;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,39 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr BETWEEN 210 AND 290) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=39) WHERE xf5=39;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,46 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=13 AND kod_vpr BETWEEN 210 AND 290) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=46) WHERE xf5=46;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,40 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=34) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=40) WHERE xf5=40;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,41 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=9) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=41) WHERE xf5=41;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,57 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND dpr BETWEEN _st AND _en AND cod_inf=9) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=57) WHERE xf5=57;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,47 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=36 AND kod_vpr<140) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=47) WHERE xf5=47;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,58 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=36 AND kod_vpr>=210) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=58) WHERE xf5=58;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,48 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=23) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=48) WHERE xf5=48;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,62 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr and dpr BETWEEN _st AND _en AND cod_inf=23) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=62) WHERE xf5=62;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,49 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=49) WHERE xf5=49;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,50 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND  
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND (dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr=100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=50) WHERE xf5=50;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,51 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr>100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=51) WHERE xf5=51;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,52 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND  
	(DATE_ADD(datebirth,INTERVAL 18 YEAR)>dpr AND (dpr BETWEEN _st AND _en AND cod_inf=37 AND kod_vpr>100) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=52) WHERE xf5=52;
	
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,53 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='ВИРУС ПАПИЛОММЫ ЧЕЛОВЕКА') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=53) WHERE xf5=53;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,42 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=28 AND kod_vpr=130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=42) WHERE xf5=42;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,43 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=28 AND kod_vpr>130) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=43) WHERE xf5=43;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,44 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=38) 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=44) WHERE xf5=44;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,54 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='ДИЗЕНТЕРИЯ ЗОННЕ') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=54) WHERE xf5=54;
	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,59 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.name)='РОТАВИРУСНАЯ ИНФЕКЦИЯ') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=59) WHERE xf5=59;
 	
	INSERT INTO zzf5 
	SELECT x1.adr_id,cod_inf,kod_vpr,dpr,63 FROM xpri x1,adrbook a1   LEFT JOIN works w1 ON works_id=works , xsinf i1 
	WHERE x1.adr_id=a1.adr_id AND ( 
	(dpr BETWEEN _st AND _en AND cod_inf=i1.cod AND UPPER(i1.n_socr)='COVID-19') 
	) AND (_u=0 OR (_u>0 AND a1.uch=_u)) AND (_inext<2 OR (_inext=2 AND pwib=1) OR (_inext=3 AND pwib=2))
	AND (_wogr=0 OR (_wogr>0 AND w1.uch=_wogr)) AND (_wo=0 OR (_wo>0 AND w1.works_id=_wo))
	AND (_epid<2 OR (_epid=2 AND pl<2) OR (_epid>2 AND pl=_epid-1)) GROUP BY x1.adr_id;
	UPDATE xf5 SET kol=(SELECT COUNT(*) FROM zzf5 WHERE ty=63) WHERE xf5=63;
 END */$$
DELIMITER ;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
